Subject: Re: [tcpm] gen-art review of draft-ietf-tcmp-tcp-uto-09.txt

From: Lars Eggert <[email-masked]>
Date: Fri, 28 Nov 2008 15:08:13 +0200

Hi, Scott,

thanks for the comments.

On 2008-11-24, at 18:40, ext Scott Brim wrote:
>  - Since a UTO can apparently be sent at any time, what happens if a
>    UTO is received that shortens the timeout and there are
>    unacknowledged packets that are already beyond the new timeout
>    value?

Good point. There are basically two choices: Apply the new UTO already  
to the current timeout event, or start using the new UTO for future  
timeout events. I believe that simply starting to use the new value  
immediately is easiest for implementors, but because reaction to UTOs  
is purely a local thing, I'm not sure if the draft should require any  
specific behavior. We can mention the two choices, if folks think that  
would be useful - tell us.

>  - Is it intended that the ENABLED flag applies to both sending and
>    receiving the UTO?  It seems to be, but I want to be sure.  If
>    that is the intention, could you make it clearer?
>
>    It certainly applies to a received UTO:
>
>      "This adaptation only happens if the other end of the connection
>      has explicitly allowed it (both ENABLED and CHANGEABLE are
>      true)."
>
>    but it seems to apply to sending a UTO as well:
>
>      "Before opening a connection, an application that wishes to use
>      the UTO option enables its use by setting ENABLED to true."

Correct, it applies for both sending and receiving. Can we make this  
clearer in the text somehow?

> (2) Editorial:

I applied all of these in my working copy.

Thanks,
Lars

_______________________________________________
tcpm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tcpm